Skip to content
Skip to main content
PATCH
https://api.us.nylas.com/v3/connectors/{provider}

Update a connector

Update the connector for the specified provider.

When you make a PATCH request, Nylas replaces all data in the nested object with the information included in your request. For more information, see Updating objects.

Works with an API key or an IAM API key with the connectors.update permission.

Parameters

Path parameters

provider*string
googlemicrosoftimapicloudyahooewsvirtual-calendarzoomnylas

Request body

settingsobject

Oauth provider credentials and settings

Example: {"tenant":"common"}
scopearray<string>

Oauth "scope" parameter

Example: ["Mail.Read","User.Read","offline_access"]
active_credential_idstring

(Optional) The ID of the "default" credential record of this Connector. This credential will be used as a default for communication with the provider.

Example: "c123f8e1a-eb1c-41c0-b6a6-d2e59daf7f47"

Responses

Returns the connector object (previously called an integration) for the provider you specify.

request_idstring

ID of the request

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
dataobject
PATCHhttps://api.us.nylas.com/v3/connectors/{provider}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

providerrequiredstring
Loading editor...

Autocomplete and validation come from this endpoint's request schema.